# Interface PaperType2D

All Superinterfaces:
  `PaperType`

All Known Subinterfaces:
  `GlyphPaper.GlyphPaperType`

All Known Implementing Classes:
  `CompositePaperType2D, MonoPaperType, OverPaperType2D, PaintPaperType2D, RgbPaperType2D`

public interface PaperType2D extends PaperType
PaperType sub-interface for making 2-dimensional plots.

Since:
  14 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`placeGlyph(Paper paper, double gx, double gy, Glyph glyph, Color color)`
Places a glyph at a 2-d position on the paper.

### Methods inherited from interface PaperType

`createDataIcon, isBitmap, placeDecal`

## Method Details

### placeGlyph

void placeGlyph(Paper paper, double gx, double gy, Glyph glyph, Color color)
Places a glyph at a 2-d position on the paper.

Parameters:
  `paper` - graphics destination specific to this PaperType
  `gx` - X coordinate
  `gy` - Y coordinate
  `glyph` - graphics shape
  `color` - colour for glyph